import { select, range } from 'd3';
import { fruitBowl } from './fruitbowl'

const svg = select('svg');

const height = +svg.attr('height');

const makeFruit = type => ({ type });

let fruits = range(5)
	.map(() => makeFruit('apple'));

const render = () => {
	fruitBowl(svg, {
    fruits, height
  })
};

render();

//Eat an apple
setTimeout(() => {
  fruits.pop();
  render();
}, 1000)

//Replacing an apple with a lemon
setTimeout(() => {
  fruits[2].type = 'lemon';
  render();
}, 2000)

//Eat an apple
setTimeout(() => {
  fruits = fruits.filter((d, i) => i !== 1);
  render();
}, 3000)